# Class MarketAlertFilter

#### Hierarchy

- unknown
  - MarketAlertFilter

- Defined in src/protobuf/pb_pb.d.ts:7613
- Defined in src/protobuf/pb_pb.d.ts:7638

#####
Index

### Constructors

constructor

### Methods

addAlertIds
clearAlertIdsList
clearPaymentAccount
getAlertIdsList
getIsBuyOffer
getPaymentAccount
getTriggerValue
hasPaymentAccount
serializeBinary
setAlertIdsList
setIsBuyOffer
setPaymentAccount
setTriggerValue
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MarketAlertFilter(): MarketAlertFilter

- #### Returns MarketAlertFilter

  Inherited from jspb.Message.constructor

## Methods

### addAlertIds

- addAlertIds(value: string, index?: number): MarketAlertFilter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns MarketAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7628

### clearAlertIdsList

- clearAlertIdsList(): MarketAlertFilter

- #### Returns MarketAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7627

### clearPaymentAccount

- clearPaymentAccount(): MarketAlertFilter

- #### Returns MarketAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7617

### getAlertIdsList

- getAlertIdsList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:7625

### getIsBuyOffer

- getIsBuyOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7622

### getPaymentAccount

- getPaymentAccount(): undefined | PaymentAccount

- #### Returns undefined | PaymentAccount

  - Defined in src/protobuf/pb_pb.d.ts:7614

### getTriggerValue

- getTriggerValue(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7619

### hasPaymentAccount

- hasPaymentAccount(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7616

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7630

### setAlertIdsList

- setAlertIdsList(value: string[]): MarketAlertFilter

- #### Parameters

  - ##### value: string[]

  #### Returns MarketAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7626

### setIsBuyOffer

- setIsBuyOffer(value: boolean): MarketAlertFilter

- #### Parameters

  - ##### value: boolean

  #### Returns MarketAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7623

### setPaymentAccount

- setPaymentAccount(value?: PaymentAccount): MarketAlertFilter

- #### Parameters

  - ##### `Optional` value: PaymentAccount

  #### Returns MarketAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7615

### setTriggerValue

- setTriggerValue(value: number): MarketAlertFilter

- #### Parameters

  - ##### value: number

  #### Returns MarketAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7620

### toObject

- toObject(includeInstance?: boolean): MarketAlertFilter.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MarketAlertFilter.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7631

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketAlertFilter

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7634

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketAlertFilter, reader: BinaryReader): MarketAlertFilter

- #### Parameters

  - ##### message: MarketAlertFilter

  - ##### reader: BinaryReader

  #### Returns MarketAlertFilter

  - Defined in src/protobuf/pb_pb.d.ts:7635

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketAlertFilter, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MarketAlertFilter

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7633

### `Static` toObject

- toObject(includeInstance: boolean, msg: MarketAlertFilter): MarketAlertFilter.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketAlertFilter

  #### Returns MarketAlertFilter.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7632

Generated using TypeDoc